com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface OptimizerResults

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface OptimizerResults
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Optimizer Results'.

  The following features are supported:

  - `Ambiguity Index`
  - `Ambiguity Filter`
  - `Ambiguity List`
  - `Completeness Check Rule Columns`
  See Also:
    `DecisiontablePackage.getOptimizerResults()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmbiguityIndex()` Returns the value of the 'Ambiguity Index' attribute
    `org.eclipse.emf.common.util.EList` | `getAmbiguityList()` Returns the value of the 'Ambiguity List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getCompletenessCheckRuleColumns()` Returns the value of the 'Completeness Check Rule Columns' reference list.
    `boolean` | `isAmbiguityFilter()` Returns the value of the 'Ambiguity Filter' attribute
    `void` | `setAmbiguityFilter(boolean value)` Sets the value of the '`Ambiguity Filter`' attribute
    `void` | `setAmbiguityIndex(int value)` Sets the value of the '`Ambiguity Index`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAmbiguityIndex

          int getAmbiguityIndex()

      Returns the value of the 'Ambiguity Index' attribute.

      If the meaning of the 'Ambiguity Index' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ambiguity Index' attribute.
      See Also:
        `setAmbiguityIndex(int)`, `DecisiontablePackage.getOptimizerResults_AmbiguityIndex()`

    - #### setAmbiguityIndex

          void setAmbiguityIndex(int value)

      Sets the value of the '`Ambiguity Index`' attribute.
      Parameters:
        `value` - the new value of the 'Ambiguity Index' attribute.
      See Also:
        `getAmbiguityIndex()`

    - #### isAmbiguityFilter

          boolean isAmbiguityFilter()

      Returns the value of the 'Ambiguity Filter' attribute.

      If the meaning of the 'Ambiguity Filter' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ambiguity Filter' attribute.
      See Also:
        `setAmbiguityFilter(boolean)`, `DecisiontablePackage.getOptimizerResults_AmbiguityFilter()`

    - #### setAmbiguityFilter

          void setAmbiguityFilter(boolean value)

      Sets the value of the '`Ambiguity Filter`' attribute.
      Parameters:
        `value` - the new value of the 'Ambiguity Filter' attribute.
      See Also:
        `isAmbiguityFilter()`

    - #### getAmbiguityList

          org.eclipse.emf.common.util.EList getAmbiguityList()

      Returns the value of the 'Ambiguity List' containment reference list. The list contents are of type `Ambiguity`.

      If the meaning of the 'Ambiguity List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ambiguity List' containment reference list.
      See Also:
        `DecisiontablePackage.getOptimizerResults_AmbiguityList()`

    - #### getCompletenessCheckRuleColumns

          org.eclipse.emf.common.util.EList getCompletenessCheckRuleColumns()

      Returns the value of the 'Completeness Check Rule Columns' reference list. The list contents are of type `RuleColumn`.

      If the meaning of the 'Completeness Check Rule Columns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Completeness Check Rule Columns' reference list.
      See Also:
        `DecisiontablePackage.getOptimizerResults_CompletenessCheckRuleColumns()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.